#include "buffer.h"

/**
 * $Id$
 */
int buffer_flush(buffer *b) {
  register char *p;
  ssize_t bytes;

  if ((b == 0) ||
      (b->s == 0) ||
      (b->fd == -1)) return -1;

  if (b->l != 0) {
    /* read buffer: what shall we do? */
    //b->c = b->t; /* make buffer empty */
    return 0;
  }

  p = b->s;
  if (p == b->c) return 0;
  for (;;) {
    bytes = write(b->fd, p, b->c - p);
    if (bytes < 0) return -1;
    p += bytes;
    if (p == b->c) break;
  }
  b->c = b->s;
  return 0;
}
