#include "libfwb.h"

/**
 * Compare two strings
 *
 * It compares all chars of two strings.
 *
 * $Id$
 *
 * @param s The first string.
 * @param t The second string.
 * @return 0 if strings are equal.
 */
int str_diff(register const char* s, register const char* t) {
  register int j;

  if ((!s) || (!t)) return 1;
  j = 0;
  for (;;) {
    j = (*s - *t); if (j) break; if (!*t) break; ++s; ++t;
    j = (*s - *t); if (j) break; if (!*t) break; ++s; ++t;
    j = (*s - *t); if (j) break; if (!*t) break; ++s; ++t;
    j = (*s - *t); if (j) break; if (!*t) break; ++s; ++t;
  }
  return j;
}
