#define TEST_BUFFER_OPENREAD_BUFSIZE 2

static void test_buffer_openread() {
  const char filename[]="tests/testfile_buffer_openread";
  char buf1space[TEST_BUFFER_OPENREAD_BUFSIZE];
  buffer buf1;

  /* initializing */
  buffer_initread(&buf1, buf1space, TEST_BUFFER_OPENREAD_BUFSIZE, 0);

  /* tests */

  /* simple tests of argument */
  sput_fail_unless(buffer_openread(0, filename) == -1, "buffer is 0");
  buffer_initwrite(&buf1, buf1space, TEST_BUFFER_OPENREAD_BUFSIZE, 1);
  sput_fail_unless(buffer_openread(&buf1, filename) == -1, "buffer is write buffer");
  buffer_initread(&buf1, buf1space, TEST_BUFFER_OPENREAD_BUFSIZE, 0);
  sput_fail_unless(buffer_openread(&buf1, 0) == -1, "buffer_openread() filename is 0");
  sput_fail_unless(buffer_openread(&buf1, "") == -1, "buffer_openread() filename has size 0");

  /* functional test */
  sput_fail_unless(buffer_openread(&buf1, filename) > 0, "buffer_openread() open valid file");
  close(buf1.fd);
}

