#define TEST_BUFFER_OPENWRITE_BUFSIZE 2

static void test_buffer_openwrite() {
  const char tempfilename[]="tests/test_tempfile_buffer_openwrite";
  char buf1space[TEST_BUFFER_OPENWRITE_BUFSIZE];
  buffer buf1;

  /* initializing */
  buffer_initwrite(&buf1, buf1space, TEST_BUFFER_OPENWRITE_BUFSIZE, 0);

  /* tests */

  /* simple tests of argument */
  sput_fail_unless(buffer_openwrite(0, tempfilename) == -1, "buffer is 0");
  buffer_initread(&buf1, buf1space, TEST_BUFFER_OPENWRITE_BUFSIZE, 0);
  sput_fail_unless(buffer_openwrite(&buf1, tempfilename) == -1, "buffer is read buffer");
  buffer_initwrite(&buf1, buf1space, TEST_BUFFER_OPENWRITE_BUFSIZE, 1);
  sput_fail_unless(buffer_openwrite(&buf1, 0) == -1, "buffer_openwrite() filename is 0");
  sput_fail_unless(buffer_openwrite(&buf1, "") == -1, "buffer_openwrite() filename has size 0");

  /* functional tests */
  sput_fail_unless(buffer_openwrite(&buf1, tempfilename) > 0, "buffer_openwrite() open file");
  close(buf1.fd);
}

