%global _hardened_build 1

%if 0%{?_with_diet:1}
%define diet 1
%else
%define diet 0
%endif

Summary: threadcpu shows CPU usage of threads in user% and system%
Name: threadcpu
Version: 20180930
Release: 1%{?_with_diet:diet}%{?dist}
Source0: %{name}-%{version}.tar.gz
#Source1: %{name}-%{version}.tgz.asc
License: GPL v2
Group: Admin
URL: http://www.tuxad.de/
BuildRoot: %{_tmppath}/buildroot-%{name}-%{version}
%if %diet
BuildRequires: dietlibc
%endif

%description 	
threadcpu calculates user% and system% for all threads and writes them out
in SPACE separated columns.
If it can identify a process as Java/JVM process then it calls jstack to
get the list of threads including their names.

rpmbuild options:
--with diet (build with dietlibc, diet must be in PATH)


%prep
%setup -q
make distclean


%build
%if %diet
make OPTFLAGS="%{optflags}"
%else
make DIET="" OPTFLAGS="%{optflags}"
%endif


%install
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}
%if %diet
%makeinstall DESTDIR=${RPM_BUILD_ROOT} OPTFLAGS="%{optflags}"
%else
%makeinstall DESTDIR=${RPM_BUILD_ROOT} DIET="" OPTFLAGS="%{optflags}"
%endif
rm -rf ${RPM_BUILD_ROOT}/%{_docdir}


%clean
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc README COPYING CHANGELOG threadcpu.spec .config
%_bindir/threadcpu
%_mandir/man1/threadcpu.1.*


%changelog
* Sat Sep 15 2018 Frank Bergmann <http://www.tuxad.com/> 20180915-1
- first working release
* Thu Sep 13 2018 Frank Bergmann <http://www.tuxad.com/> 20180913-1
- initial version
