#include "buffer.h"

/**
 * $Id$
 */

int buffer_getchar(buffer *b) {
  register char *p;
  register ssize_t l;

  if ((b == 0) ||
      (b->s == 0) ||
      (b->fd == -1) ||
      (b->l == 0)) return -2;

  p = b->c;
  if (p == 0) return -2;
  if (p < b->t) goto get;

  p = b->s;
  l = read(b->fd, p, b->l);
  if (l == 0) {
    b->c = b->t; /* EOF */
    return EOF;
  }
  if (l < 0) {
    b->c = b->t; /* like EOF */
    return -2;
  }
  b->t = p + l;

  get:
  b->c = p + 1;
  return (int) (unsigned char) (*p);
}
